Bug 1264841 - please make tray icons work with kf5
please make tray icons work with kf5
Status: NEW
Product: Fedora
Classification: Fedora
Component: hexchat (Show other bugs)
26
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Patrick Griffis
Fedora Extras Quality Assurance
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 07:04 EDT by Pavel Raiskup
Modified: 2017-07-13 04:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:55:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2015-09-21 07:04:07 EDT
This is major regression against kde4.
Comment 1 Pavel Raiskup 2015-09-21 07:06:21 EDT
Kamil gave me link to private branch that implements this (its not 100%
perfect, but better than nothing):
https://github.com/hexchat/hexchat/tree/wip/appindicator
Comment 2 Pavel Raiskup 2015-09-21 08:08:09 EDT
test version in copr:
sudo dnf -y copr enable praiskup/hexchat-libappindicator && sudo dnf update -y hexchat
Comment 3 Patrick Griffis 2015-09-21 12:58:42 EDT
These patches are quite incomplete so they won't be added to the package.
Comment 4 Kamil Dudka 2015-09-21 13:32:01 EDT
Please specify what needs to be improved for you to classify them as complete.
Comment 5 Patrick Griffis 2015-09-21 14:23:29 EDT
That branch breaks:

- HexChat icon themes
- The blink feature for tray notifications (default)
- Left clicking to toggle showing the main window
- General reduction in performance from repeatedly loading files (previously stored in memory)

If I thought that branch was ship-able I would have merged it into master.
Comment 6 Patrick Griffis 2015-09-21 14:30:13 EDT
These issues are largely the fault of libappindicator, I can't do blinking because it is too slow, I can't send it a pixbuf it has to load the file, I can't change left click behavior it is hard-coded.

The theming problem could be fixed.
Comment 7 Pavel Raiskup 2015-09-22 03:56:36 EDT
I agree that it's not perfect yet and it seems your can't do much about it, but
having this as "experimental" (and by default disabled) feature in master (and
released) would be much better user experience -- because without this in,
hexchat is (at least for me) almost unusable (kf5 box).
Comment 8 Patrick Griffis 2015-09-22 13:17:43 EDT
(In reply to Pavel Raiskup from comment #7)
> I agree that it's not perfect yet and it seems your can't do much about it,
> but
> having this as "experimental" (and by default disabled) feature in master
> (and
> released) would be much better user experience -- because without this in,
> hexchat is (at least for me) almost unusable (kf5 box).

This isn't a user selectable option, either its built with an appindicator or not. Somebody could go through the mess of making runtime selectable if they wish. Shipping that branch as-is to users now would just be an actual regression for users on every DE (Fedora ships) other than KDE. KDE made the decision that they would break *all* legacy trays on purpose so this certainly is not an Urgent regression for the applications KDE left behind.
Comment 9 Fedora End Of Life 2016-07-19 14:55:36 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Pavel Raiskup 2017-07-13 04:13:34 EDT
After having this fixed in (if I remember) Fedora 23+, KF5 doesn't show
gtk tray icons in F26 again.  Did anything new happened in the meantime?

Note You need to log in before you can comment on or make changes to this bug.